@echo off

SET CiscoDir=DOSBox


echo OS Detection:  Starting

ver | findstr /i "5\.0\."
if %ERRORLEVEL% EQU 0 (
echo  OS = Windows 2000
)
ver | findstr /i "5\.1\."
if %ERRORLEVEL% EQU 0 (
goto XP
)
ver | findstr /i "5\.2\."
if %ERRORLEVEL% EQU 0 (
echo OS = Server 2003
)
ver | findstr /i "6\.0\." > nul
if %ERRORLEVEL% EQU 0 (
goto ver7
)
ver | findstr /i "6\.1\." > nul
if %ERRORLEVEL% EQU 0 (
goto ver7
)
ver | findstr /i "6\.2\." > nul
if %ERRORLEVEL% EQU 0 (
goto ver7
)
ver | findstr /i "6\.3\." > nul
if %ERRORLEVEL% EQU 0 (
rem echo OS = Windows 8.1 / Server 2012R2
goto ver7
)
ver | findstr /i "10\.0\." > nul
if %ERRORLEVEL% EQU 0 (
rem echo OS = Windows 8.1 / Server 2012R2
goto ver7
)


:xp
 SET ProfileBase=%SystemDrive%\Documents and Settings
  SET AppDir=Local Settings\Application Data
goto other


:ver7
 SET ProfileBase=%SystemDrive%\Users
  SET AppDir=APPDATA\Local
goto other

:other

IF /i "%PROCESSOR_ARCHITECTURE%"=="X86" (
  ECHO 32-bit architecture detected.
  SET CiscoLnk=%ProgramFiles%\Cisco\VPN\32bit.lnk
) ELSE IF /i "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
  ECHO 64-bit architecture detected.
  SET CiscoLnk=%ProgramFiles%\Cisco\VPN\64bit.lnk
)
ECHO Updating preference file.
ECHO.
for /f "tokens=*" %%a in ('dir /b /ad-h "%ProfileBase%"') do if 1==1 (
  ECHO %%a | findstr /i "all.users public" > nul 2> nul

  if errorlevel 1 (
  rem xcopy /d /y fahri.txt "%ProfileBase%\%%a\%AppDir%\%DOSBox%" 2> nul
  
     rem md "%ProfileBase%\%%a\%AppDir%\Cisco" 2> nul
     md "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
     copy /d /y dosbox-0.74.conf "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
	 copy /d /y mapper-0.74.map "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
	 copy /d /y remdosbox-0.74.conf "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
     
    rem xcopy /d /c /y "%CiscoLnk%" "%ProfileBase%\%%a\Desktop\" 2> nul
  )
)

SET CiscoLnk=
SET AppDir=
SET ProfileBase=

DOSBOX.exe
