@echo off

SET CiscoDir=DOSBox

REM Determine whether we're dealing with a Vista or later client.
IF EXIST "%userprofile%\APPDATA" (
  ECHO Windows Vista or later detected.
  SET ProfileBase=%SystemDrive%\Users

  REM Knock up a variable we can use later in the XCOPY.
  SET AppDir=APPDATA\Local

) ELSE (
  ECHO Windows XP or prior detected.
  SET ProfileBase=%SystemDrive%\Documents and Settings

  REM Knock up a variable we can use later in the XCOPY.
  SET AppDir=Local Settings\Application Data
)

REM Determine the architecture.
IF /i "%PROCESSOR_ARCHITECTURE%"=="X86" (
  ECHO 32-bit architecture detected.
  SET CiscoLnk=%ProgramFiles%\Cisco\VPN\32bit.lnk
) ELSE IF /i "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
  ECHO 64-bit architecture detected.
  SET CiscoLnk=%ProgramFiles%\Cisco\VPN\64bit.lnk
)

ECHO Updating preference file.
ECHO.
for /f "tokens=*" %%a in ('dir /b /ad-h "%ProfileBase%"') do if 1==1 (
  ECHO %%a | findstr /i "all.users public" > nul 2> nul

  if errorlevel 1 (
  rem xcopy /d /y fahri.txt "%ProfileBase%\%%a\%AppDir%\%DOSBox%" 2> nul
  
     rem md "%ProfileBase%\%%a\%AppDir%\Cisco" 2> nul
     md "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
     copy /d /y dosbox-0.74.conf "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
	 copy /d /y mapper-0.74.map "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
	 copy /d /y remdosbox-0.74.conf "%ProfileBase%\%%a\%AppDir%\%CiscoDir%" 2> nul
     
    rem xcopy /d /c /y "%CiscoLnk%" "%ProfileBase%\%%a\Desktop\" 2> nul
  )
)

SET CiscoLnk=
SET AppDir=
SET ProfileBase=

DOSBOX.exe